Skip to main content
GET
/
file
/
royalty
/
{id}
Check File Decompression Status
curl --request GET \
  --url https://api.royalti.io/file/royalty/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.royalti.io/file/royalty/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.royalti.io/file/royalty/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"file decompressed successfully"
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Description

undergoing Dataflow decompression jobs. This endpoint monitors files in ‘decompressing’ status and queries Google Cloud Dataflow to check job completion. When a job completes, the file status is updated to ‘decompressed’ and the file is moved to the processed folder. Status Validation:
  • Returns error if file is already ‘processed’ or ‘decompressed’
  • Only useful for files in ‘decompressing’ status
Authorization:
  • Required role: user or higher

Code Examples

const response = await fetch('https://api.royalti.io/file/royalty/example-id', {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${token}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.get(
  'https://api.royalti.io/file/royalty/example-id',
  headers={
    'Authorization': f'Bearer {token}'
  },
)

data = response.json()
print(data)
curl -X GET https://api.royalti.io/file/royalty/example-id \
  -H "Authorization: Bearer YOUR_TOKEN" \

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Path Parameters

id
string<uuid>
required

Royalty file identifier

Response

Decompression status checked

The response is of type string.